<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <style>
        * {
            box-sizing: border-box;
        }

        .gallery {
            display: flex;
            flex-wrap: wrap;
            flex-direction: row;
            background-color: pink;
            height: 400px;
            /* justify-content: center; */
            align-content: center;
            align-items: stretch;
            
        }

        .gallery__item {
            /* width: 100px; */
            /* width: 25%; */
            flex-grow: 1;
            height:100px;
            background-color: red;
            border: 1px solid black;
        }

        .gallery__item:nth-child(odd) {
            background-color: blue;
        }

        .gallery__item:nth-child(2) {
            flex-grow: 2;
        }
        .gallery__item:first-child {
            background-color: yellow;
    
        }

        .gallery__item:last-child {
            background-color: green;
        }
    </style>
</head>
<body>
    <div class="gallery">
        <div class="gallery__item"></div>
        <div class="gallery__item"></div>
        <div class="gallery__item"></div>
        <!-- <div class="gallery__item"></div>
        <div class="gallery__item"></div>
        <div class="gallery__item"></div>
        <div class="gallery__item"></div>
        <div class="gallery__item"></div>
        <div class="gallery__item"></div>
        <div class="gallery__item"></div> -->
    </div>
</body>
</html>